OSSL_LIB_CTX_set_conf_diagnostics(3)

NAME
OSSL_LIB_CTX_set_conf_diagnostics, OSSL_LIB_CTX_get_conf_diagnostics - Set and get configuration diagnostics

SYNOPSIS
 #include <openssl/crypto.h>

 void OSSL_LIB_CTX_set_conf_diagnostics(OSSL_LIB_CTX *ctx, int value);
 int OSSL_LIB_CTX_get_conf_diagnostics(OSSL_LIB_CTX *ctx);

DESCRIPTION
OSSL_LIB_CTX_set_conf_diagnostics() sets the value of the configuration diagnostics flag. If value is nonzero subsequent parsing and application of configuration data can report errors that would otherwise be ignored. In particular any errors in the ssl configuration module will cause a failure of SSL_CTX_new(3) and SSL_CTX_new_ex(3) calls. The configuration diagnostics flag can be also set when a configuration file is being loaded into OSSL_LIB_CTX with OSSL_LIB_CTX_load_config(3). If the configuration sets a config_diagnostics value as described in config(5), it will override the value set by OSSL_LIB_CTX_set_conf_diagnostics() before loading the configuration file.

OSSL_LIB_CTX_get_conf_diagnostics() returns the current value of the configuration diagnostics flag.

RETURN VALUES
OSSL_LIB_CTX_get_conf_diagnostics() returns 0 if the configuration diagnostics should not be performed, nonzero otherwise.

SEE ALSO
SSL_CTX_new(3), OSSL_LIB_CTX_load_config(3), config(5)

HISTORY
The functions described on this page were added in OpenSSL 3.4.

COPYRIGHT
Copyright 2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.